[Matroska-devel] Matroska Pack 1.0.2 Doesn't Support XviD 1.0.1 Properly

Liisachan Liisachan at faireal.net
Sat Jul 17 04:49:13 CEST 2004


Hi,

Im wondering if this is a known problem for Matroska team:

[Abstract]

Matroska Pack (full) 1.0.2 comes with ffdshow 2003-05-23
by default, which, however, plays XviD 1.0.1 in an improper way, 
making ppl misunderstand that MKV is an awkward, non-smooth 
format.

The fact is, it is not a problem of MKV, but a problem of older 
ffdshow's.

[How To Reproduce/Confirm The Bug]

1. Make a small video with Xvid 1.0.1
2. Use MPC and first use XviD 1.0.1 itself to decode it.
3. Hit Ctrl + 4 in MPC to see the static. Observe the frame 
rate.-- for instance, if the vid is 24fps, youll see number like 
23.xx
4. Then, use ffdshow 2003-05-23 to decode XviD.
-- Now MPC shows a lower fps, like 16fps, and obviously,
the video doesnt play smoothly as it should be,
altho theres no synch problem.
5. Thirdly, use a newer ffdshow, from
http://athos.leffe.dnsalias.com/ OR
http://mitglied.lycos.de/ieggei2/ffdshow/
to decode XviD 1.0.1. The problem observed in 4 will be gone.

NOTE: The same happens regardless of the container (AVI or MKV)

[Conclusion]

* ffdshow 2003-05-23 is a bad choice to support cutting-edge 
technologies like Matroska, because it does not support XviD 
1.0.1, which is now one of today's de-fact standard codecs.
So, Matroska Packs should use a newer build of ffdshow,
if it has to include ffdshow anyway.

Regards.

Liisachan




More information about the Matroska-devel mailing list